EUWATCH-PUT-METRIC-ALARM(1)

NAME
euwatch-put-metric-alarm - Create or update an alarm

SYNOPSIS
euwatch-put-metric-alarm --comparison-operator

{GreaterThanOrEqualToThreshold,GreaterThanThreshold,LessThanThreshold,LessThanOrEqualToThreshold}
    --evaluation-periods COUNT --metric-name METRIC --namespace NAMESPACE --period SECONDS --statistic {Average,Maximum,Minimum,SampleCount,Sum} --threshold FLOAT [--actions-enabled {true,false}] [--alarm-actions ARN1,ARN2,...] [--alarm-description DESCRIPTION] [-d KEY1=VALUE1,KEY2=VALUE2,...] [--insufficient-data-actions ARN1,ARN2,...] [--ok-actions ARN1,ARN2,...] [--unit UNIT] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ALARM

DESCRIPTION
Create or update an alarm

  positional arguments:

ALARM
    name of the alarm (required)

  optional arguments:

--comparison-operator {GreaterThanOrEqualToThreshold,GreaterThanThreshold,LessThanThreshold,LessThanOrEqualToThreshold}
    arithmetic operator with which the comparison with the threshold will be made (required)

--evaluation-periods COUNT
    number of consecutive periods for which the value of the metric needs to be compared to the threshold (required)

--metric-name METRIC
    name for the alarm's associated metric (required)

--namespace NAMESPACE
    namespace for the alarm's associated metric (required)

--period SECONDS
    period over which the specified statistic is applied (required)

--statistic {Average,Maximum,Minimum,SampleCount,Sum}
    statistic on which to alarm (required)

--threshold FLOAT
    value to compare the statistic against (required)

--actions-enabled {true,false}
    whether this alarm's actions should be executed when it changes state

--alarm-actions ARN1,ARN2,...
    ARNs of SNS topics to publish to when the alarm changes to the ALARM state

--alarm-description DESCRIPTION
    description of the alarm

-d KEY1=VALUE1,KEY2=VALUE2,..., --dimensions KEY1=VALUE1,KEY2=VALUE2,...
    dimensions for the alarm's associated metric

--insufficient-data-actions ARN1,ARN2,...
    ARNs of SNS topics to publish to when the alarm changes to the INSUFFICIENT_DATA state

--ok-actions ARN1,ARN2,...
    ARNs of SNS topics to publish to when the alarm changes to the OK state

--unit UNIT
    unit for the alarm's associated metric

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    instance monitoring service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit